## seafile-client 6.0.4

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.9)

PROJECT(seafile-client)
SET(SEAFILE_CLIENT_VERSION_MAJOR 6)
SET(SEAFILE_CLIENT_VERSION_MINOR 0)
SET(SEAFILE_CLIENT_VERSION_PATCH 4)
SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
INCLUDE(FindPkgConfig)

## Build crash repoter on release build as default
IF (NOT (${CMAKE_BUILD_TYPE} MATCHES Release))
  SET(CMAKE_BUILD_TYPE Debug)
ENDIF()

IF (APPLE AND NOT CMAKE_OSX_DEPLOYMENT_TARGET)
  SET(CMAKE_OSX_DEPLOYMENT_TARGET "10.7")
ENDIF()

FIND_PROGRAM(git_executable NAMES git git.exe git.cmd)
IF (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.git AND NOT (${CMAKE_BUILD_TYPE} MATCHES Release))
  EXECUTE_PROCESS(COMMAND
    ${git_executable} rev-list HEAD --count
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    OUTPUT_VARIABLE SEAFILE_CLIENT_REVISION
    OUTPUT_STRIP_TRAILING_WHITESPACE )
  ADD_DEFINITIONS(-DSEAFILE_CLIENT_REVISION=${SEAFILE_CLIENT_REVISION})
ENDIF()

SET(PATH_TO_BREAKPAD_ROOT CACHE "Path to breakpad's root" "")

OPTION(BUILD_TESTING "Build Test" OFF)

OPTION(BUILD_DOCS "Build Documents" OFF)

OPTION(BUILD_SHIBBOLETH_SUPPORT "Build Shibboleth support" OFF)

option(BUILD_ENABLE_WARNINGS "Enable compiler warnings." ON)

MESSAGE("Build type: ${CMAKE_BUILD_TYPE}")

## build in PIC mode
IF (NOT WIN32)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
ENDIF()

## Setup warnings ouput if enabled
## but don't warning on unsupported warnings
if(BUILD_ENABLE_WARNINGS)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wsign-compare -Wno-long-long -Wno-unused-parameter")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wsign-compare -Wno-long-long -Wno-unused-parameter -Woverloaded-virtual")
  if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unknown-warning-option")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unknown-warning-option -Wno-inconsistent-missing-override")
  endif()
endif()

## color diagnostics fix
if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fcolor-diagnostics")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fcolor-diagnostics")
elseif(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
  execute_process(COMMAND ${CMAKE_CXX_COMPILER}
    -dumpversion OUTPUT_VARIABLE GCC_VERSION)
  if(GCC_VERSION VERSION_GREATER 4.9 OR GCC_VERSION VERSION_EQUAL 4.9)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fdiagnostics-color=always")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fdiagnostics-color=always")
  endif()
endif()

IF (WIN32)
    CONFIGURE_FILE(
      ${CMAKE_SOURCE_DIR}/seafile-applet.rc.in
      ${CMAKE_BINARY_DIR}/seafile-applet.rc
    )
    SET(EXTRA_LIBS ${EXTRA_LIBS} psapi ws2_32 shlwapi mpr)
    SET(EXTRA_SOURCES ${EXTRA_SOURCES} ${CMAKE_BINARY_DIR}/seafile-applet.rc)
    IF (${CMAKE_BUILD_TYPE} MATCHES Release)
      SET(GUI_TYPE WIN32)
    ENDIF()
    SET(platform_specific_moc_headers src/ext-handler.h)
    SET(platform_specific_sources src/ext-handler.cpp)
ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR ${CMAKE_SYSTEM_NAME} MATCHES "BSD")
    INCLUDE_DIRECTORIES(${QT_QTDBUS_INCLUDE_DIR})
    LINK_DIRECTORIES(${QT_QTDBUS_LIBRARIES})
    SET(EXTRA_LIBS ${EXTRA_LIBS} ${QT_QTDBUS_LIBRARIES})
ELSEIF (APPLE)
    SET(platform_specific_sources src/application.cpp)
    ## Enforce ARC for this file, since ARC is only supported after the objc
    ## runtime changes in os x 10.10
    SET_SOURCE_FILES_PROPERTIES(src/utils/utils-mac.mm
      PROPERTIES COMPILE_FLAGS -fobjc-arc)

    FIND_LIBRARY(COCOA_LIBRARY Cocoa)
    MARK_AS_ADVANCED (COCOA_LIBRARY)
    FIND_LIBRARY(Sec_LIBRARY Security)
    MARK_AS_ADVANCED (Sec_LIBRARY)
    SET(EXTRA_LIBS ${EXTRA_LIBS} ${COCOA_LIBRARY} ${Sec_LIBRARY})
ENDIF()

IF(APPLE)
    ADD_DEFINITIONS(-DHAVE_FINDER_SYNC_SUPPORT)
    SET(platform_specific_moc_headers src/finder-sync/finder-sync-host.h)
    SET(platform_specific_sources ${platform_specific_sources}
        src/finder-sync/finder-sync.cpp src/finder-sync/finder-sync-listener.mm
        src/finder-sync/finder-sync-host.cpp)
    SET_SOURCE_FILES_PROPERTIES(src/finder-sync/finder-sync-listener.mm
        PROPERTIES COMPILE_FLAGS -fobjc-arc)
ENDIF()

####################
###### BEGIN: QT configuration
####################
SET(QT_VERSION_MAJOR 5)

# Qt 5.6.0 removes QtWebKit, we need to use QtWebEnigne. First we detect the
# current qt version, then use proper name based on the version. However we
# have to keep using QtWebKit on windows because QtWebEngine can't be
# compiled in msys2/mingw (QtWebEnigne is based on chrome, which has to be
# compiled with MSVC.)
FIND_PROGRAM(qmake_executable NAMES qmake qmake.exe)
EXECUTE_PROCESS(COMMAND
    bash -c "${qmake_executable} --version | grep -iE '^using qt version [0-9.]+' | awk '{print $4}'"
    OUTPUT_VARIABLE DETECTED_QT_VERSION
    OUTPUT_STRIP_TRAILING_WHITESPACE)
MESSAGE("qt5 version: ${DETECTED_QT_VERSION}")
IF(WIN32 OR DETECTED_QT_VERSION VERSION_LESS 5.6.0)
    ADD_DEFINITIONS(-DSEAFILE_USE_WEBKIT)
    SET(WEBKIT_NAME "WebKit")
    SET(WEBKIT_WIDGETS_NAME "WebKitWidgets")
ELSE()
    SET(WEBKIT_NAME "WebEngine")
    SET(WEBENGINE_CORE "WebEngineCore")
    SET(WEBKIT_WIDGETS_NAME "WebEngineWidgets")
    SET(SHIB_EXTRA_HEADER "src/shib/shib-helper.h")
ENDIF()

SET(USE_QT_LIBRARIES
    Core Gui Widgets LinguistTools Network Test
    )
IF (BUILD_SHIBBOLETH_SUPPORT)
    SET(USE_QT_LIBRARIES ${USE_QT_LIBRARIES} ${WEBENGINE_CORE} ${WEBKIT_NAME} ${WEBKIT_WIDGETS_NAME})
    ADD_DEFINITIONS(-DHAVE_SHIBBOLETH_SUPPORT)
ENDIF()

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    SET(USE_QT_LIBRARIES ${USE_QT_LIBRARIES} "DBus")
ENDIF()

FIND_PACKAGE(Qt5 REQUIRED ${USE_QT_LIBRARIES})
SET(QT_LUPDATE_EXECUTABLE ${Qt5_LUPDATE_EXECUTABLE})
# from QT 5.4.0 Changelog
# The Qt binary packages are now configured with C++11 enabled.
# this requires your gcc compiler newer than 4.8.1 or clang newer than 3.3

if (CYGWIN OR MINGW)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")
else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

# for OS X, we requires libc++ instead
if (APPLE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
    SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++11")
    SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
endif()

# MOC FILES
SET(moc_headers
  src/seafile-applet.h
  src/account-mgr.h
  src/configurator.h
  src/daemon-mgr.h
  src/auto-login-service.h
  src/repo-service.h
  src/repo-service-helper.h
  src/events-service.h
  src/avatar-service.h
  src/open-local-helper.h
  src/server-status-service.h
  src/account-info-service.h
  src/customization-service.h
  src/message-listener.h
  src/network-mgr.h
  src/settings-mgr.h
  src/traynotificationwidget.h
  src/traynotificationmanager.h
  src/seahub-notifications-monitor.h
  src/api/api-client.h
  src/api/api-request.h
  src/api/requests.h
  src/rpc/rpc-client.h
  src/ui/main-window.h
  src/ui/init-seafile-dialog.h
  src/ui/login-dialog.h
  src/ui/account-settings-dialog.h
  src/ui/create-repo-dialog.h
  src/ui/repo-detail-dialog.h
  src/ui/settings-dialog.h
  src/ui/download-repo-dialog.h
  src/ui/cloud-view.h
  src/ui/tray-icon.h
  src/ui/repo-tree-model.h
  src/ui/repo-tree-view.h
  src/ui/repo-item-delegate.h
  src/ui/clone-tasks-dialog.h
  src/ui/clone-tasks-table-model.h
  src/ui/clone-tasks-table-view.h
  src/ui/server-status-dialog.h
  src/ui/search-tab.h
  src/ui/search-tab-items.h
  src/ui/init-vdrive-dialog.h
  src/ui/uninstall-helper-dialog.h
  src/ui/ssl-confirm-dialog.h
  src/ui/private-share-dialog.h
  src/ui/account-view.h
  src/ui/seafile-tab-widget.h
  src/ui/tab-view.h
  src/ui/loading-view.h
  src/ui/logout-view.h
  src/ui/repos-tab.h
  src/ui/starred-files-tab.h
  src/ui/starred-files-list-view.h
  src/ui/starred-files-list-model.h
  src/ui/starred-file-item-delegate.h
  src/ui/activities-tab.h
  src/ui/events-list-view.h
  src/ui/event-details-dialog.h
  src/ui/event-details-tree.h
  src/ui/set-repo-password-dialog.h
  src/ui/sync-errors-dialog.h
  src/filebrowser/file-browser-manager.h
  src/filebrowser/file-browser-dialog.h
  src/filebrowser/file-browser-requests.h
  src/filebrowser/file-table.h
  src/filebrowser/data-mgr.h
  src/filebrowser/tasks.h
  src/filebrowser/progress-dialog.h
  src/filebrowser/sharedlink-dialog.h
  src/filebrowser/seafilelink-dialog.h
  src/filebrowser/auto-update-mgr.h
  src/filebrowser/transfer-mgr.h
  src/filebrowser/thumbnail-service.h
  third_party/QtAwesome/QtAwesome.h
  ${platform_specific_moc_headers}
)

IF (APPLE)
  SET(moc_headers ${moc_headers} src/application.h)
ENDIF()

IF (BUILD_SHIBBOLETH_SUPPORT)
  SET(moc_headers ${moc_headers} src/shib/shib-login-dialog.h ${SHIB_EXTRA_HEADER})
ENDIF()

# UI FILES
SET(ui_files
  ui/login-dialog.ui
  ui/account-settings-dialog.ui
  ui/create-repo-dialog.ui
  ui/repo-detail-dialog.ui
  ui/settings-dialog.ui
  ui/download-repo-dialog.ui
  ui/init-seafile-dialog.ui
  ui/cloud-view.ui
  ui/clone-tasks-dialog.ui
  ui/server-status-dialog.ui
  ui/init-vdrive-dialog.ui
  ui/uninstall-helper-dialog.ui
  ui/ssl-confirm-dialog.ui
  ui/private-share-dialog.ui
  ui/account-view.ui
  ui/set-repo-password-dialog.ui
  ${platform_specific_ui_files}
)

# RESOURCES
SET(qrc_files
  seafile-client.qrc
  third_party/QtAwesome/QtAwesome.qrc
)

QT5_WRAP_UI(ui_output ${ui_files})

# meta object compliation(moc)
QT5_WRAP_CPP(moc_output ${moc_headers})

# resources files
QT5_ADD_RESOURCES(resources_ouput ${qrc_files})

# MESSAGE("moc output: ${moc_output}")
# MESSAGE("ui output: ${ui_output}")

####################
###### END: QT configuration
####################

####################
###### BEGIN: pthread support is required explicitly on linux
####################

IF(NOT WIN32 AND NOT APPLE)
  SET(CMAKE_THREAD_PREFER_PTHREAD ON)
  INCLUDE(FindThreads)
  LINK_LIBRARIES(${CMAKE_THREAD_LIBS_INIT})
ENDIF(NOT WIN32 AND NOT APPLE)

####################
###### BEGIN: other libraries configuration
####################
FIND_PACKAGE(PkgConfig REQUIRED)

PKG_CHECK_MODULES(SQLITE3 REQUIRED sqlite3>=3.0.0)

PKG_CHECK_MODULES(JANSSON REQUIRED jansson>=2.0)

PKG_CHECK_MODULES(LIBCCNET REQUIRED libccnet>=1.3)

PKG_CHECK_MODULES(LIBSEARPC REQUIRED libsearpc>=1.0)

PKG_CHECK_MODULES(OPENSSL REQUIRED openssl>=0.98)

PKG_CHECK_MODULES(LIBSEAFILE REQUIRED libseafile>=1.7)

PKG_CHECK_MODULES(LIBEVENT REQUIRED libevent>=2.0)
####################
###### END: other libraries configuration
####################


# c/cpp sources
SET(seafile_client_sources
  src/i18n.cpp
  src/main.cpp
  src/seafile-applet.cpp
  src/account.cpp
  src/account-mgr.cpp
  src/ccnet-init.cpp
  src/daemon-mgr.cpp
  src/configurator.cpp
  src/open-local-helper.cpp
  src/message-listener.cpp
  src/network-mgr.cpp
  src/auto-login-service.cpp
  src/repo-service.cpp
  src/repo-service-helper.cpp
  src/events-service.cpp
  src/server-status-service.cpp
  src/account-info-service.cpp
  src/customization-service.cpp
  src/shared-application.cpp
  src/avatar-service.cpp
  src/settings-mgr.cpp
  src/traynotificationwidget.cpp
  src/traynotificationmanager.cpp
  src/certs-mgr.cpp
  src/seahub-notifications-monitor.cpp
  src/api/api-client.cpp
  src/api/api-request.cpp
  src/api/api-error.cpp
  src/api/requests.cpp
  src/api/server-repo.cpp
  src/api/starred-file.cpp
  src/api/event.cpp
  src/api/commit-details.cpp
  src/api/contact-share-info.cpp
  src/rpc/rpc-client.cpp
  src/rpc/local-repo.cpp
  src/rpc/clone-task.cpp
  src/rpc/sync-error.cpp
  src/ui/main-window.cpp
  src/ui/init-seafile-dialog.cpp
  src/ui/login-dialog.cpp
  src/ui/account-settings-dialog.cpp
  src/ui/repo-detail-dialog.cpp
  src/ui/settings-dialog.cpp
  src/ui/create-repo-dialog.cpp
  src/ui/download-repo-dialog.cpp
  src/ui/tray-icon.cpp
  src/ui/cloud-view.cpp
  src/utils/uninstall-helpers.cpp
  src/ui/repo-item.cpp
  src/ui/repo-tree-model.cpp

=== debian/changelog ===
seafile-client (6.0.4-1) unstable; urgency=medium

  * New upstream version 6.0.4
  * Fix watch file

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Sun, 12 Mar 2017 17:44:47 +0100

seafile-client (6.0.1+git20161227.7b0b837-2) unstable; urgency=medium

  * add license statement for fontawesome.ttf

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 02 Mar 2017 16:21:56 +0100

seafile-client (6.0.1+git20161227.7b0b837-1) unstable; urgency=medium

  * initial Debian release 

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 28 Dec 2016 13:17:15 +0100

seafile-gui (6.0.1) unstable; urgency=low

  * new upstream release

 -- Jonathan Xu <jonathan.xu@seafile.com>  Mon, 12 Dec 2016 14:51:07 +0800

seafile-gui (6.0.0) unstable; urgency=low

  * new upstream release

 -- Jonathan Xu <jonathan.xu@seafile.com>  Fri, 14 Oct 2016 13:49:07 +0800

seafile-gui (5.1.4) unstable; urgency=low

  * new upstream release

 -- Jonathan Xu <jonathan.xu@seafile.com>  Fri, 29 Jul 2016 14:06:38 +0800

seafile-gui (5.1.3-1ubuntu1) UNRELEASED; urgency=medium

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Fri, 01 Jul 2016 00:04:38 +0200

seafile-gui (5.1.2-5ubuntu2) unstable; urgency=medium

  * fixed package dependencies

 -- m.eik michalke <meik.michalke@hhu.de>  Sat, 18 Jun 2016 12:20:04 +0200

seafile-gui (5.1.2-5ubuntu1) unstable; urgency=medium

  * repackaging with cleaned up orig.tar.xz archives
  * improved the debian/control file

 -- m.eik michalke <meik.michalke@hhu.de>  Fri, 17 Jun 2016 19:22:13 +0200

seafile-gui (5.1.2-4) unstable; urgency=medium

  * adjusted build dependencies
  * updated the debian/copyright notice so people know who's responisble for the packaging
  * rewrote the rules file, much simpler now
  * prep for release on github

 -- m.eik michalke <meik.michalke@hhu.de>  Thu, 16 Jun 2016 01:06:50 +0200

=== debian/control ===
Source: seafile-client
Section: net
Priority: extra
Maintainer: Ondřej Surý <ondrej@debian.org>
Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
Build-Depends:
    debhelper (>= 10),
    libssl1.0-dev | libssl-dev (<< 1.1),
    libcurl4-openssl-dev,
    libsqlite3-dev,
    intltool,
    libglib2.0-dev,
    libevent-dev,
    uuid-dev,
    qtbase5-dev,
    libqt5webkit5-dev,
    qttools5-dev,
    libtool,
    valac,
    libjansson-dev,
    cmake,
    qtchooser,
    qttools5-dev-tools,
    libsearpc-dev,
    libccnet-dev,
    libseafile-dev
Standards-Version: 3.9.8
Homepage: http://seafile.com
Vcs-Git: https://anonscm.debian.org/git/collab-maint/seafile-client.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/seafile-client.git

Package: seafile-gui
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
    ccnet (>= 5.1.2),
    seafile-daemon (>= 5.1.2)
Description: Seafile desktop client
 Seafile is an open source cloud storage system with features
 on privacy protection and teamwork. Collections of files are
 called libraries, and each library can be synced separately.
 A library can also be encrypted with a user chosen password.
 Seafile also allows users to create groups and easily sharing
 files into groups.

Package: seafile-gui-dbg
Section: debug
Architecture: any
Depends:
    seafile-gui (= ${binary:Version}),
    ${misc:Depends},
Description: Debugging symbols for the seafile-gui package
 This package contains the debugging symbols for the seafile-gui package.

## seafile-client 6.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 6)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 4)
+SET(SEAFILE_CLIENT_VERSION_PATCH 6)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)
@@ -11,6 +11,12 @@
 ## Build crash repoter on release build as default
 IF (NOT (${CMAKE_BUILD_TYPE} MATCHES Release))
   SET(CMAKE_BUILD_TYPE Debug)
+ENDIF()
+
+# CMake's builtin UNIX variable is true on Mac/Linux/BSD, but sometimes we want
+# to detect for LINUX.
+IF (UNIX AND NOT APPLE)
+  SET(LINUX TRUE)
 ENDIF()
 
 IF (APPLE AND NOT CMAKE_OSX_DEPLOYMENT_TARGET)
@@ -36,6 +42,19 @@
 OPTION(BUILD_SHIBBOLETH_SUPPORT "Build Shibboleth support" OFF)
 
 option(BUILD_ENABLE_WARNINGS "Enable compiler warnings." ON)
+
+option(BUILD_SPARKLE_SUPPORT "Build Sparkle support" OFF)
+IF (BUILD_SPARKLE_SUPPORT)
+    ADD_DEFINITIONS(-DHAVE_SPARKLE_SUPPORT)
+    IF (LINUX)
+      message(FATAL_ERROR "Sparkle Support is not available for linux." )
+    ENDIF()
+    SET(platform_specific_moc_headers ${platform_specific_moc_headers} src/auto-update-service.h)
+    SET(platform_specific_sources ${platform_specific_sources} src/auto-update-service.cpp)
+    IF (NOT (${CMAKE_BUILD_TYPE} MATCHES Release))
+        ADD_DEFINITIONS(-DSEAFILE_SPARKLE_DEBUG)
+    ENDIF()
+ENDIF()
 
 MESSAGE("Build type: ${CMAKE_BUILD_TYPE}")
 
@@ -79,14 +98,34 @@
     IF (${CMAKE_BUILD_TYPE} MATCHES Release)
       SET(GUI_TYPE WIN32)
     ENDIF()
-    SET(platform_specific_moc_headers src/ext-handler.h)
-    SET(platform_specific_sources src/ext-handler.cpp)
-ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR ${CMAKE_SYSTEM_NAME} MATCHES "BSD")
+    SET(platform_specific_moc_headers ${platform_specific_moc_headers} src/ext-handler.h)
+    SET(platform_specific_sources ${platform_specific_sources} src/ext-handler.cpp)
+    IF (BUILD_SPARKLE_SUPPORT)
+      IF(NOT EXISTS "${CMAKE_SOURCE_DIR}/WinSparkle.lib")
+        message(FATAL_ERROR "File ${CMAKE_SOURCE_DIR}/WinSparkle.lib not found in current directory. Please setup winsparkle correctly." )
+      ENDIF()
+      SET(SPARKLE_LIBS ${CMAKE_SOURCE_DIR}/WinSparkle.lib)
+    ENDIF()
+
+ELSEIF (LINUX)
     INCLUDE_DIRECTORIES(${QT_QTDBUS_INCLUDE_DIR})
     LINK_DIRECTORIES(${QT_QTDBUS_LIBRARIES})
     SET(EXTRA_LIBS ${EXTRA_LIBS} ${QT_QTDBUS_LIBRARIES})
 ELSEIF (APPLE)
-    SET(platform_specific_sources src/application.cpp)
+    IF (BUILD_SPARKLE_SUPPORT)
+        SET(platform_specific_sources ${platform_specific_sources} src/mac-sparkle-support.mm)
+        SET_SOURCE_FILES_PROPERTIES(src/mac-sparkle-support.mm
+          PROPERTIES COMPILE_FLAGS -fobjc-arc)
+
+        SET(SPARKLE_FRAMEWORK /usr/local/Sparkle.framework)
+        IF(NOT EXISTS "${SPARKLE_FRAMEWORK}")
+          message(FATAL_ERROR "File ${SPARKLE_FRAMEWORK} not found. Please setup it correctly.")
+        ENDIF()
+        INCLUDE_DIRECTORIES(${SPARKLE_FRAMEWORK}/Headers)
+        SET(EXTRA_LIBS ${EXTRA_LIBS} ${SPARKLE_FRAMEWORK})
+    ENDIF()
+
+    SET(platform_specific_sources ${platform_specific_sources} src/application.cpp)
     ## Enforce ARC for this file, since ARC is only supported after the objc
     ## runtime changes in os x 10.10
     SET_SOURCE_FILES_PROPERTIES(src/utils/utils-mac.mm
@@ -101,7 +140,7 @@
 
 IF(APPLE)
     ADD_DEFINITIONS(-DHAVE_FINDER_SYNC_SUPPORT)
-    SET(platform_specific_moc_headers src/finder-sync/finder-sync-host.h)
+    SET(platform_specific_moc_headers ${platform_specific_moc_headers} src/finder-sync/finder-sync-host.h)
     SET(platform_specific_sources ${platform_specific_sources}
         src/finder-sync/finder-sync.cpp src/finder-sync/finder-sync-listener.mm
         src/finder-sync/finder-sync-host.cpp)
@@ -137,7 +176,7 @@
 ENDIF()
 
 SET(USE_QT_LIBRARIES
-    Core Gui Widgets LinguistTools Network Test
+    Core Gui Widgets LinguistTools Network
     )
 IF (BUILD_SHIBBOLETH_SUPPORT)
     SET(USE_QT_LIBRARIES ${USE_QT_LIBRARIES} ${WEBENGINE_CORE} ${WEBKIT_NAME} ${WEBKIT_WIDGETS_NAME})
@@ -187,7 +226,6 @@
   src/settings-mgr.h
   src/traynotificationwidget.h
   src/traynotificationmanager.h
-  src/seahub-notifications-monitor.h
   src/api/api-client.h
   src/api/api-request.h
   src/api/requests.h
@@ -202,6 +240,7 @@
   src/ui/download-repo-dialog.h
   src/ui/cloud-view.h
   src/ui/tray-icon.h
+  src/ui/about-dialog.h
   src/ui/repo-tree-model.h
   src/ui/repo-tree-view.h
   src/ui/repo-item-delegate.h
@@ -257,6 +296,7 @@
 
 # UI FILES
 SET(ui_files
+  ui/about-dialog.ui
   ui/login-dialog.ui
   ui/account-settings-dialog.ui
   ui/create-repo-dialog.ui
@@ -320,66 +360,3 @@
 
 PKG_CHECK_MODULES(LIBSEARPC REQUIRED libsearpc>=1.0)
 
-PKG_CHECK_MODULES(OPENSSL REQUIRED openssl>=0.98)
-
-PKG_CHECK_MODULES(LIBSEAFILE REQUIRED libseafile>=1.7)
-
-PKG_CHECK_MODULES(LIBEVENT REQUIRED libevent>=2.0)
-####################
-###### END: other libraries configuration
-####################
-
-
-# c/cpp sources
-SET(seafile_client_sources
-  src/i18n.cpp
-  src/main.cpp
-  src/seafile-applet.cpp
-  src/account.cpp
-  src/account-mgr.cpp
-  src/ccnet-init.cpp
-  src/daemon-mgr.cpp
-  src/configurator.cpp
-  src/open-local-helper.cpp
-  src/message-listener.cpp
-  src/network-mgr.cpp
-  src/auto-login-service.cpp
-  src/repo-service.cpp
-  src/repo-service-helper.cpp
-  src/events-service.cpp
-  src/server-status-service.cpp
-  src/account-info-service.cpp
-  src/customization-service.cpp
-  src/shared-application.cpp
-  src/avatar-service.cpp
-  src/settings-mgr.cpp
-  src/traynotificationwidget.cpp
-  src/traynotificationmanager.cpp
-  src/certs-mgr.cpp
-  src/seahub-notifications-monitor.cpp
-  src/api/api-client.cpp
-  src/api/api-request.cpp
-  src/api/api-error.cpp
-  src/api/requests.cpp
-  src/api/server-repo.cpp
-  src/api/starred-file.cpp
-  src/api/event.cpp
-  src/api/commit-details.cpp
-  src/api/contact-share-info.cpp
-  src/rpc/rpc-client.cpp
-  src/rpc/local-repo.cpp
-  src/rpc/clone-task.cpp
-  src/rpc/sync-error.cpp
-  src/ui/main-window.cpp
-  src/ui/init-seafile-dialog.cpp
-  src/ui/login-dialog.cpp
-  src/ui/account-settings-dialog.cpp
-  src/ui/repo-detail-dialog.cpp
-  src/ui/settings-dialog.cpp
-  src/ui/create-repo-dialog.cpp
-  src/ui/download-repo-dialog.cpp
-  src/ui/tray-icon.cpp
-  src/ui/cloud-view.cpp
-  src/utils/uninstall-helpers.cpp
-  src/ui/repo-item.cpp
-  src/ui/repo-tree-model.cpp

=== debian/changelog ===
seafile-client (6.0.6-1~bpo9+1) stretch-backports; urgency=medium

  * Backport rebuild

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 30 Jun 2017 13:28:05 +0200

seafile-client (6.0.6-1) unstable; urgency=medium

  * New upstream version 6.0.6

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 10 May 2017 15:38:29 +0200

## seafile-client 6.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 6)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 6)
+SET(SEAFILE_CLIENT_VERSION_PATCH 7)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)
@@ -234,6 +234,7 @@
   src/ui/init-seafile-dialog.h
   src/ui/login-dialog.h
   src/ui/account-settings-dialog.h
+  src/ui/check-repo-root-perm-dialog.h
   src/ui/create-repo-dialog.h
   src/ui/repo-detail-dialog.h
   src/ui/settings-dialog.h
@@ -254,6 +255,7 @@
   src/ui/uninstall-helper-dialog.h
   src/ui/ssl-confirm-dialog.h
   src/ui/private-share-dialog.h
+  src/ui/user-name-completer.h
   src/ui/account-view.h
   src/ui/seafile-tab-widget.h
   src/ui/tab-view.h
@@ -356,7 +358,3 @@
 
 PKG_CHECK_MODULES(JANSSON REQUIRED jansson>=2.0)
 
-PKG_CHECK_MODULES(LIBCCNET REQUIRED libccnet>=1.3)
-
-PKG_CHECK_MODULES(LIBSEARPC REQUIRED libsearpc>=1.0)
-

=== extensions/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(seafile_shell_ext)

OPTION(X32 "Build 32 bit instead of 64bit dll" OFF)

IF (X32)
  SET(WINVER 0x0501)
  SET(DLL_NAME seafile_shell_ext)
  set(CMAKE_RC_COMPILER windres)
ELSE(X32)
  SET(WINVER 0x0502)
  SET(DLL_NAME seafile_shell_ext64)
  set(CMAKE_RC_COMPILER x86_64-w64-mingw32-windres)
ENDIF()

IF (NOT (${CMAKE_BUILD_TYPE} MATCHES Release))
  SET(CMAKE_BUILD_TYPE Debug)
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O0 -g")
ENDIF()
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O0 -fno-omit-frame-pointer -Wall -Wextra -Wno-unused-parameter -std=c++0x")

ADD_DEFINITIONS(-D_WIN32_WINNT=${WINVER} -DWINVER=${WINVER})

SET(CMAKE_CXX_CREATE_SHARED_LIBRARY
    "<CMAKE_CXX_COMPILER> <CMAKE_SHARED_LIBRARY_CXX_FLAGS> <LINK_FLAGS> <CMAKE_SHARED_LIBRARY_CREATE_CXX_FLAGS> -o <TARGET> ${CMAKE_GNULD_IMAGE_VERSION} <OBJECTS> <LINK_LIBRARIES>")

SET(ext_sources
  dll.cpp
  shell-ext.cpp
  class-factory.cpp
  context-menu.cpp
  icon-overlay.cpp
  log.cpp
  applet-connection.cpp
  commands.cpp
  ext-utils.cpp
  i18n.cpp
  seafile_shell_ext.def
  seafile_shell_ext.rc
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
LINK_LIBRARIES(uuid oleaut32 ole32 ws2_32 shlwapi userenv)

ADD_LIBRARY(seafile_shell_ext SHARED ${ext_sources})
SET(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/lib)

SET_TARGET_PROPERTIES(seafile_shell_ext PROPERTIES
  LINK_FLAGS "-static -lstdc++ -Wl,--enable-stdcall-fixup"
  OUTPUT_NAME "${DLL_NAME}"
  PREFIX "")

=== debian/changelog ===
seafile-client (6.0.7-1build1) artful; urgency=medium

  * No-change rebuild against libevent-2.1-6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jul 2017 02:53:00 +0000

seafile-client (6.0.7-1) unstable; urgency=medium

  * New upstream version 6.0.7
  * Migration from -dbg to -dbgsym packages
  * add hardening flags

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 26 Jul 2017 14:28:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: seafile-client
 Section: net
 Priority: extra
-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
 Build-Depends:
     debhelper (>= 10),
@@ -43,12 +44,3 @@
  A library can also be encrypted with a user chosen password.
  Seafile also allows users to create groups and easily sharing
  files into groups.
-
-Package: seafile-gui-dbg
-Section: debug
-Architecture: any
-Depends:
-    seafile-gui (= ${binary:Version}),
-    ${misc:Depends},
-Description: Debugging symbols for the seafile-gui package
- This package contains the debugging symbols for the seafile-gui package.

## seafile-client 6.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 6)
-SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 7)
+SET(SEAFILE_CLIENT_VERSION_MINOR 1)
+SET(SEAFILE_CLIENT_VERSION_PATCH 1)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)
@@ -272,12 +272,14 @@
   src/ui/event-details-tree.h
   src/ui/set-repo-password-dialog.h
   src/ui/sync-errors-dialog.h
+  src/ui/search-bar.h
   src/filebrowser/file-browser-manager.h
   src/filebrowser/file-browser-dialog.h
   src/filebrowser/file-browser-requests.h
   src/filebrowser/file-table.h
   src/filebrowser/data-mgr.h
   src/filebrowser/tasks.h
+  src/filebrowser/reliable-upload.h
   src/filebrowser/progress-dialog.h
   src/filebrowser/sharedlink-dialog.h
   src/filebrowser/seafilelink-dialog.h
@@ -356,5 +358,3 @@
 
 PKG_CHECK_MODULES(SQLITE3 REQUIRED sqlite3>=3.0.0)
 
-PKG_CHECK_MODULES(JANSSON REQUIRED jansson>=2.0)
-

=== extensions/CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,8 @@
   seafile_shell_ext.rc
 )
 
+SET_SOURCE_FILES_PROPERTIES(context-menu.cpp PROPERTIES COMPILE_FLAGS -fpermissive)
+
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
 LINK_LIBRARIES(uuid oleaut32 ole32 ws2_32 shlwapi userenv)

=== debian/changelog ===
seafile-client (6.1.1-1) unstable; urgency=medium

  * New upstream version 6.1.1

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 25 Sep 2017 14:28:37 +0200

seafile-client (6.1.0-2) unstable; urgency=medium

  * Add patch to remove mismatching icon file

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 09 Aug 2017 15:03:09 +0200

seafile-client (6.1.0-1) UNRELEASED; urgency=medium

  * New upstream version 6.1.0

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 08 Aug 2017 10:32:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: seafile-client
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Ondřej Surý <ondrej@debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
 Build-Depends:
     debhelper (>= 10),

## seafile-client 6.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 6)
 SET(SEAFILE_CLIENT_VERSION_MINOR 1)
-SET(SEAFILE_CLIENT_VERSION_PATCH 1)
+SET(SEAFILE_CLIENT_VERSION_PATCH 3)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)

## seafile-client 6.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 6)
 SET(SEAFILE_CLIENT_VERSION_MINOR 1)
-SET(SEAFILE_CLIENT_VERSION_PATCH 3)
+SET(SEAFILE_CLIENT_VERSION_PATCH 4)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)

=== debian/changelog ===
seafile-client (6.1.4-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:28:06 +0000

seafile-client (6.1.4-1) unstable; urgency=medium

  * New upstream version 6.1.4

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 20 Dec 2017 16:06:11 +0100

seafile-client (6.1.3-2) unstable; urgency=medium

  * add OpenSSL 1.1 patch from
    https://github.com/haiwen/seafile-client/commit/10feb6038a1197a532cf7e47cbe0a977a72da1b0
    and
    https://github.com/haiwen/seafile-client/commit/3a547b8ab392e0419488eb4aa633f9b31f0ccaf4
    (closes: #859716)

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 23 Nov 2017 15:34:31 +0100

seafile-client (6.1.3-1) unstable; urgency=medium

  * New upstream version 6.1.3

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 21 Nov 2017 16:18:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: seafile-client
 Section: net
 Priority: extra
-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
 Build-Depends:
     debhelper (>= 10),
-    libssl1.0-dev | libssl-dev (<< 1.1),
+    libssl-dev,
     libcurl4-openssl-dev,
     libsqlite3-dev,
     intltool,

## seafile-client 6.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 6)
 SET(SEAFILE_CLIENT_VERSION_MINOR 1)
-SET(SEAFILE_CLIENT_VERSION_PATCH 4)
+SET(SEAFILE_CLIENT_VERSION_PATCH 5)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)
@@ -273,9 +273,11 @@
   src/ui/set-repo-password-dialog.h
   src/ui/sync-errors-dialog.h
   src/ui/search-bar.h
+  src/ui/two-factor-dialog.h
   src/filebrowser/file-browser-manager.h
   src/filebrowser/file-browser-dialog.h
   src/filebrowser/file-browser-requests.h
+  src/filebrowser/file-browser-search-tab.h
   src/filebrowser/file-table.h
   src/filebrowser/data-mgr.h
   src/filebrowser/tasks.h
@@ -316,6 +318,7 @@
   ui/ssl-confirm-dialog.ui
   ui/private-share-dialog.ui
   ui/account-view.ui
+  ui/two-factor-dialog.ui
   ui/set-repo-password-dialog.ui
   ${platform_specific_ui_files}
 )
@@ -354,7 +357,3 @@
 ####################
 ###### BEGIN: other libraries configuration
 ####################
-FIND_PACKAGE(PkgConfig REQUIRED)
-
-PKG_CHECK_MODULES(SQLITE3 REQUIRED sqlite3>=3.0.0)
-

=== debian/changelog ===
seafile-client (6.1.5-1) unstable; urgency=medium

  * New upstream version 6.1.5

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 16 Feb 2018 09:23:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: seafile-client
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Ondřej Surý <ondrej@debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
 Build-Depends:
     debhelper (>= 10),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
	export QT_SELECT=5
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHIBBOLETH_SUPPORT=ON

override_dh_auto_build:
	dh_auto_build --parallel

override_dh_strip:
	dh_strip --dbgsym-migration='seafile-gui-dbg (<< 6.0.7-1)'

## seafile-client 6.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 6)
 SET(SEAFILE_CLIENT_VERSION_MINOR 1)
-SET(SEAFILE_CLIENT_VERSION_PATCH 5)
+SET(SEAFILE_CLIENT_VERSION_PATCH 7)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)

=== debian/changelog ===
seafile-client (6.1.7-1) unstable; urgency=medium

  * Move Vcs-* to Salsa
  * New upstream version 6.1.7
  * Update and cleanup d/{control,rules}
  * Add Patch to add Keywords to .desktop file

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 24 Apr 2018 10:42:38 +0200

=== debian/control ===
Source: seafile-client
Maintainer: Ondřej Surý <ondrej@debian.org>
Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
Section: net
Priority: optional
Build-Depends:
 cmake,
 debhelper (>= 10),
 intltool,
 libccnet-dev,
 libcurl4-openssl-dev,
 libevent-dev,
 libglib2.0-dev,
 libjansson-dev,
 libqt5webkit5-dev,
 libseafile-dev,
 libsearpc-dev,
 libsqlite3-dev,
 libssl-dev,
 libtool,
 qtbase5-dev,
 qtchooser,
 qttools5-dev,
 qttools5-dev-tools,
 uuid-dev
Standards-Version: 4.1.4
Homepage: http://seafile.com
Vcs-Browser: https://salsa.debian.org/debian/seafile-client
Vcs-Git: https://salsa.debian.org/debian/seafile-client.git

Package: seafile-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 ccnet (>= 5.1.2),
 seafile-daemon (>= 5.1.2)
Description: Seafile Desktop Client
 Seafile is a file syncing and sharing software with file encryption
 and group sharing, emphasis on reliability and high performance.
 .
 Seafile is an open source cloud storage system with privacy protection
 and teamwork features. Collections of files are called libraries. Each
 library can be synced separately. A library can also be encrypted with
 a user chosen password. Seafile also allows users to create groups and
 easily sharing files into groups.
 .
 This package contains the graphical Desktop Client for Seafile.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,9 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+# See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
 #DH_VERBOSE = 1
-
-# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -24,8 +21,5 @@
 	export QT_SELECT=5
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHIBBOLETH_SUPPORT=ON
 
-override_dh_auto_build:
-	dh_auto_build --parallel
-
 override_dh_strip:
 	dh_strip --dbgsym-migration='seafile-gui-dbg (<< 6.0.7-1)'

## seafile-client 6.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 6)
 SET(SEAFILE_CLIENT_VERSION_MINOR 1)
-SET(SEAFILE_CLIENT_VERSION_PATCH 7)
+SET(SEAFILE_CLIENT_VERSION_PATCH 8)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)
@@ -206,6 +206,8 @@
     SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
 endif()
 
+ADD_DEFINITIONS(-DQUAZIP_STATIC)
+
 # MOC FILES
 SET(moc_headers
   src/seafile-applet.h
@@ -226,6 +228,7 @@
   src/settings-mgr.h
   src/traynotificationwidget.h
   src/traynotificationmanager.h
+  src/log-uploader.h
   src/api/api-client.h
   src/api/api-request.h
   src/api/requests.h
@@ -289,6 +292,7 @@
   src/filebrowser/transfer-mgr.h
   src/filebrowser/thumbnail-service.h
   third_party/QtAwesome/QtAwesome.h
+  third_party/quazip/quazipfile.h
   ${platform_specific_moc_headers}
 )
 
@@ -354,6 +358,3 @@
   LINK_LIBRARIES(${CMAKE_THREAD_LIBS_INIT})
 ENDIF(NOT WIN32 AND NOT APPLE)
 
-####################
-###### BEGIN: other libraries configuration
-####################

=== debian/changelog ===
seafile-client (6.1.8-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Add FindQuaZip CMake Module

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 04 Jun 2018 11:23:53 +0200

seafile-client (6.1.8-1) unstable; urgency=medium

  * Add Suggests: seafile-cli
  * Streamline d/copyright and d/rules
  * New upstream version 6.1.8
  * Don't use bundled QuaZip

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Sat, 02 Jun 2018 14:38:58 +0200

seafile-client (6.1.1-1~bpo9+1) stretch-backports; urgency=medium

  * Backport rebuild

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 13 Nov 2017 21:27:42 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  libevent-dev,
  libglib2.0-dev,
  libjansson-dev,
+ libquazip5-dev,
  libqt5webkit5-dev,
  libseafile-dev,
  libsearpc-dev,
@@ -33,6 +34,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
  ccnet (>= 5.1.2),
  seafile-daemon (>= 5.1.2)
+Suggests: seafile-cli
 Description: Seafile Desktop Client
  Seafile is a file syncing and sharing software with file encryption
  and group sharing, emphasis on reliability and high performance.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
-#DH_VERBOSE = 1
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

## seafile-client 6.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 6)
-SET(SEAFILE_CLIENT_VERSION_MINOR 1)
-SET(SEAFILE_CLIENT_VERSION_PATCH 8)
+SET(SEAFILE_CLIENT_VERSION_MINOR 2)
+SET(SEAFILE_CLIENT_VERSION_PATCH 0)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)
@@ -223,7 +223,7 @@
   src/server-status-service.h
   src/account-info-service.h
   src/customization-service.h
-  src/message-listener.h
+  src/message-poller.h
   src/network-mgr.h
   src/settings-mgr.h
   src/traynotificationwidget.h
@@ -233,6 +233,7 @@
   src/api/api-request.h
   src/api/requests.h
   src/rpc/rpc-client.h
+  src/rpc/rpc-server.h
   src/ui/main-window.h
   src/ui/init-seafile-dialog.h
   src/ui/login-dialog.h
@@ -356,5 +357,3 @@
   SET(CMAKE_THREAD_PREFER_PTHREAD ON)
   INCLUDE(FindThreads)
   LINK_LIBRARIES(${CMAKE_THREAD_LIBS_INIT})
-ENDIF(NOT WIN32 AND NOT APPLE)
-

=== debian/changelog ===
seafile-client (6.2.0-1) unstable; urgency=medium

  * New upstream version 6.2.0
  * Use qtwebengine instead of qtwebkit
  * Build and run test suite
  * Remove ccnet dependency and raise versioned deps

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 27 Jun 2018 20:39:54 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,11 @@
  cmake,
  debhelper (>= 10),
  intltool,
- libccnet-dev,
  libcurl4-openssl-dev,
  libevent-dev,
  libglib2.0-dev,
  libjansson-dev,
  libquazip5-dev,
- libqt5webkit5-dev,
  libseafile-dev,
  libsearpc-dev,
  libsqlite3-dev,
@@ -23,6 +21,7 @@
  qtchooser,
  qttools5-dev,
  qttools5-dev-tools,
+ qtwebengine5-dev,
  uuid-dev
 Standards-Version: 4.1.4
 Homepage: http://seafile.com
@@ -32,8 +31,7 @@
 Package: seafile-gui
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- ccnet (>= 5.1.2),
- seafile-daemon (>= 5.1.2)
+ seafile-daemon (>= 6.2.0)
 Suggests: seafile-cli
 Description: Seafile Desktop Client
  Seafile is a file syncing and sharing software with file encryption

## seafile-client 6.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 6)
 SET(SEAFILE_CLIENT_VERSION_MINOR 2)
-SET(SEAFILE_CLIENT_VERSION_PATCH 0)
+SET(SEAFILE_CLIENT_VERSION_PATCH 4)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)

=== debian/changelog ===
seafile-client (6.2.4-1) unstable; urgency=medium

  * New upstream version 6.2.4

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 07 Aug 2018 10:58:27 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libglib2.0-dev,
  libjansson-dev,
  libquazip5-dev,
- libseafile-dev,
+ libseafile-dev (>= 6.2.0),
  libsearpc-dev,
  libsqlite3-dev,
  libssl-dev,

## seafile-client 6.2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 6)
 SET(SEAFILE_CLIENT_VERSION_MINOR 2)
-SET(SEAFILE_CLIENT_VERSION_PATCH 4)
+SET(SEAFILE_CLIENT_VERSION_PATCH 5)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)

=== debian/changelog ===
seafile-client (6.2.5-5) unstable; urgency=medium

  * Fix DEP-8 test suite

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 09 Nov 2018 21:03:42 +0100

seafile-client (6.2.5-4) unstable; urgency=medium

  * Use more intelligent approach for QtWebEngine/QtWebKit detection
  * Add basic (superficial) autopkgtest suite

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 09 Nov 2018 12:38:41 +0100

seafile-client (6.2.5-3) unstable; urgency=medium

  * Explicitly list arch-dependent dependencies on qtwebengine or qtwebkit

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 09 Nov 2018 09:31:12 +0100

seafile-client (6.2.5-2) unstable; urgency=medium

  * Allow building with qtwebkit when qtwebengine is not available
    - should fix builds for armel, mips, mips64el, ppc64el, s390x et. al.

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 08 Nov 2018 21:58:18 +0100

seafile-client (6.2.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Moritz Schlarb ]
  * Change Maintainer to Debian Seafile Team
  * New upstream version 6.2.5
  * Update Standards-Version
  * Update dependency version of libsearpc

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 08 Nov 2018 11:59:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: seafile-client
-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
 Section: net
 Priority: optional
@@ -13,7 +13,7 @@
  libjansson-dev,
  libquazip5-dev,
  libseafile-dev (>= 6.2.0),
- libsearpc-dev,
+ libsearpc-dev (>= 3.1.0),
  libsqlite3-dev,
  libssl-dev,
  libtool,
@@ -21,9 +21,10 @@
  qtchooser,
  qttools5-dev,
  qttools5-dev-tools,
- qtwebengine5-dev,
+ qtwebengine5-dev [!armel !mips !mips64el !ppc64el !s390x !alpha !hppa !m68k !powerpc !ppc64 !sh4 !sparc64],
+ libqt5webkit5-dev [armel mips mips64el ppc64el s390x alpha hppa m68k powerpc ppc64 sh4 sparc64],
  uuid-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://seafile.com
 Vcs-Browser: https://salsa.debian.org/debian/seafile-client
 Vcs-Git: https://salsa.debian.org/debian/seafile-client.git

=== debian/tests/control ===
Test-Command: xvfb-run -- seafile-applet --ping
Depends: @, xvfb, xauth
Restrictions: superficial, allow-stderr

## seafile-client 6.2.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 6)
 SET(SEAFILE_CLIENT_VERSION_MINOR 2)
-SET(SEAFILE_CLIENT_VERSION_PATCH 5)
+SET(SEAFILE_CLIENT_VERSION_PATCH 7)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)

=== debian/changelog ===
seafile-client (6.2.7-1) unstable; urgency=medium

  * New upstream version 6.2.7

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Sun, 25 Nov 2018 21:02:28 +0100

seafile-client (6.2.5-6) unstable; urgency=medium

  * Add Salsa Pipeline (https://salsa.debian.org/salsa-ci-team/pipeline)
  * Be more strict and explicit about dependency versions.
  * Remove DEP-8 Test Suite for now.

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 12 Nov 2018 14:55:54 +0100

## seafile-client 6.2.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 6)
 SET(SEAFILE_CLIENT_VERSION_MINOR 2)
-SET(SEAFILE_CLIENT_VERSION_PATCH 7)
+SET(SEAFILE_CLIENT_VERSION_PATCH 9)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)

=== debian/changelog ===
seafile-client (6.2.9-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Add FindQuaZip CMake Module
  * Fix gbp.conf for stretch-backports
  * Fix d/copyright

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 03 Jan 2019 10:05:52 +0100

seafile-client (6.2.9-1) unstable; urgency=medium

  * Add some Files-Excluded to d/copyright
  * New upstream version 6.2.9

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 11 Dec 2018 15:30:07 +0100

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/seafile-client-$1\.tar\.gz/ \
  https://github.com/haiwen/seafile-client/tags .*/v?(\d[\d.]*)\.tar\.gz
